curl --request POST \
--url https://api.sorsa.io/v2/community-tweets \
--header 'ApiKey: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"community_id": "1966045657589813686",
"cursor": "123",
"order_by": "popular"
}
'{
"next_cursor": "<string>",
"tweets": [
{
"bookmark_count": 123,
"conversation_id_str": "<string>",
"created_at": "<string>",
"entities": [
{
"link": "<string>",
"preview": "<string>",
"type": "<string>"
}
],
"favorite_count": 123,
"full_text": "<string>",
"id_str": "<string>",
"in_reply_to_status_id_str": "<string>",
"is_quote_status": true,
"quote_count": 123,
"quoted_status": {
"created_at": "<string>",
"favorite_count": 123,
"full_text": "<string>",
"id_str": "<string>",
"quote_count": 123,
"retweet_count": 123,
"user": {
"avatar": "<string>",
"can_dm": true,
"created_at": "<string>",
"description": "<string>",
"followers_count": 123,
"friends_count": 123,
"id_str": "<string>",
"name": "<string>",
"screen_name": "<string>",
"statuses_count": 123
}
},
"reply_count": 123,
"retweet_count": 123,
"retweeted_status": {
"created_at": "<string>",
"favorite_count": 123,
"full_text": "<string>",
"id_str": "<string>",
"quote_count": 123,
"retweet_count": 123,
"user": {
"avatar": "<string>",
"can_dm": true,
"created_at": "<string>",
"description": "<string>",
"followers_count": 123,
"friends_count": 123,
"id_str": "<string>",
"name": "<string>",
"screen_name": "<string>",
"statuses_count": 123
}
},
"user": {
"avatar": "<string>",
"can_dm": true,
"created_at": "<string>",
"description": "<string>",
"followers_count": 123,
"friends_count": 123,
"id_str": "<string>",
"name": "<string>",
"screen_name": "<string>",
"statuses_count": 123
},
"view_count": 123
}
]
}Retrieve tweets from a specified community by providing the community ID or url as a body parameter. You can also use the cursor for pagination to fetch additional tweets. The response includes tweet details, such as text, retweet count, favorite count, creation date, and user information. The next_cursor is included for paginating through further results. The order_by parameter can be “popular” or “latest”. If not provided, the tweets will be ordered by latest.
curl --request POST \
--url https://api.sorsa.io/v2/community-tweets \
--header 'ApiKey: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"community_id": "1966045657589813686",
"cursor": "123",
"order_by": "popular"
}
'{
"next_cursor": "<string>",
"tweets": [
{
"bookmark_count": 123,
"conversation_id_str": "<string>",
"created_at": "<string>",
"entities": [
{
"link": "<string>",
"preview": "<string>",
"type": "<string>"
}
],
"favorite_count": 123,
"full_text": "<string>",
"id_str": "<string>",
"in_reply_to_status_id_str": "<string>",
"is_quote_status": true,
"quote_count": 123,
"quoted_status": {
"created_at": "<string>",
"favorite_count": 123,
"full_text": "<string>",
"id_str": "<string>",
"quote_count": 123,
"retweet_count": 123,
"user": {
"avatar": "<string>",
"can_dm": true,
"created_at": "<string>",
"description": "<string>",
"followers_count": 123,
"friends_count": 123,
"id_str": "<string>",
"name": "<string>",
"screen_name": "<string>",
"statuses_count": 123
}
},
"reply_count": 123,
"retweet_count": 123,
"retweeted_status": {
"created_at": "<string>",
"favorite_count": 123,
"full_text": "<string>",
"id_str": "<string>",
"quote_count": 123,
"retweet_count": 123,
"user": {
"avatar": "<string>",
"can_dm": true,
"created_at": "<string>",
"description": "<string>",
"followers_count": 123,
"friends_count": 123,
"id_str": "<string>",
"name": "<string>",
"screen_name": "<string>",
"statuses_count": 123
}
},
"user": {
"avatar": "<string>",
"can_dm": true,
"created_at": "<string>",
"description": "<string>",
"followers_count": 123,
"friends_count": 123,
"id_str": "<string>",
"name": "<string>",
"screen_name": "<string>",
"statuses_count": 123
},
"view_count": 123
}
]
}Was this page helpful?